Bug 151484 - Memory leak, and CPU spinning with duplicate group entries
Summary: Memory leak, and CPU spinning with duplicate group entries
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: shadow-utils (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-18 14:21 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-04 09:03:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shadow-utils update (1.01 MB, application/octet-stream)
2005-04-04 09:00 UTC, Peter Vrabec
no flags Details

Description Bastien Nocera 2005-03-18 14:21:05 UTC
Really shouldn't happen, but.
shadow-utils-4.0.3-23.06 from RHEL3 U5 HEAD

Add another "users" line to your /etc/group (so the entry is duplicated):
users:x:100:

Launch:
adduser -G users test
Check dmesg after a while (2 minutes in, and it was using around 300 megs of RAM):
Out of Memory: Killed process 28151 (adduser).

Comment 1 Peter Vrabec 2005-03-21 13:06:41 UTC
How do u add next entry? Did u edit /etc/group by hand?
It looks this problem affect all versions of shadow-utils.

Comment 2 Bastien Nocera 2005-03-21 14:52:34 UTC
I edited /etc/group by hand (a stupid mistake, but I would have expected adduser
to handle my error rather than to eat all my RAM).

Comment 3 Peter Vrabec 2005-04-04 09:00:24 UTC
Created attachment 112642 [details]
shadow-utils update


Note You need to log in before you can comment on or make changes to this bug.